#include <p18f4520.h>
#include "i2c.h"
#include <delays.h>
#include "picdem2lcd.h"
#define I2c (MASTER,SDA=PIN_C4, SCL=PIN_C3)


#pragma config OSC = INTIO67
#pragma config WDT = OFF    //Turn off watchdog timer
#pragma config LVP = OFF    //Turn off low voltage program
#pragma config DEBUG = OFF  //Turn off debug mode
signed int TC74_read_temperature(void)
{
	signed int retval;

	i2c_Start();
	i2c_Write(TC74_WRITE);
	i2c_Write(TC74_READ); 
	
	i2c_Restart();   // Re-start
	i2c_Write(TC74_READ);
	retval = i2c_Read(0);
	i2c_Stop();
	return(retval);
} 
void main()
{
	signed int temp;
	while(1)
  	{
		
	   	temp = TC74_read_temperature();	
		OpenXLCD(FOUR_BIT & LINES_5X7);
		putrsLCD((const far rom char *)("Temperature (C) = %d\n\r",temp));
	   	Delay10KTCYx(100); // one second delay
  	}
} 